CVE-2018-5740

HIGH
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

"deny-answer-aliases" is a little-used feature intended to help recursive server operators protect end users against DNS rebinding attacks, a potential method of circumventing the security model used by client browsers. However, a defect in this feature makes it easy, when the feature is in use, to experience an assertion failure in name.c. Affects BIND 9.7.0->9.8.8, 9.9.0->9.9.13, 9.10.0->9.10.8, 9.11.0->9.11.4, 9.12.0->9.12.2, 9.13.0->9.13.2.

References

http://lists.opensuse.org/opensuse-security-announce/2019-06/msg00026.html

http://lists.opensuse.org/opensuse-security-announce/2019-06/msg00027.html

http://www.securityfocus.com/bid/105055

http://www.securitytracker.com/id/1041436

https://access.redhat.com/errata/RHSA-2018:2570

https://access.redhat.com/errata/RHSA-2018:2571

https://kb.isc.org/docs/aa-01639

https://lists.debian.org/debian-lts-announce/2018/08/msg00033.html

https://security.gentoo.org/glsa/201903-13

https://security.netapp.com/advisory/ntap-20180926-0003/

https://support.hpe.com/hpsc/doc/public/display?docLocale=en_US&docId=emr_na-hpesbux03927en_us

https://usn.ubuntu.com/3769-1/

https://usn.ubuntu.com/3769-2/

Details

Source: MITRE

Published: 2019-01-16

Updated: 2019-10-03

Type: CWE-617

Risk Information

CVSS v2

Base Score: 5

Vector: AV:N/AC:L/Au:N/C:N/I:N/A:P

Impact Score: 2.9

Exploitability Score: 10

Severity: MEDIUM

CVSS v3

Base Score: 7.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Impact Score: 3.6

Exploitability Score: 3.9

Severity: HIGH

Tenable Plugins

View all (37 total)

IDNameProductFamilySeverity
137170OracleVM 3.3 / 3.4 : bind (OVMSA-2020-0021)NessusOracleVM Local Security Checks
high
129526SUSE SLED12 / SLES12 Security Update : bind (SUSE-SU-2019:2502-1)NessusSuSE Local Security Checks
medium
127383NewStart CGSL MAIN 4.05 : bind Vulnerability (NS-SA-2019-0130)NessusNewStart CGSL Local Security Checks
high
127196NewStart CGSL CORE 5.04 / MAIN 5.04 : bind Vulnerability (NS-SA-2019-0031)NessusNewStart CGSL Local Security Checks
high
125808openSUSE Security Update : bind (openSUSE-2019-1533)NessusSuSE Local Security Checks
medium
125807openSUSE Security Update : bind (openSUSE-2019-1532)NessusSuSE Local Security Checks
medium
125799SUSE SLES12 Security Update : bind (SUSE-SU-2019:1449-1)NessusSuSE Local Security Checks
medium
125759SUSE SLES11 Security Update : bind (SUSE-SU-2019:14074-1)NessusSuSE Local Security Checks
high
125703SUSE SLED15 / SLES15 Security Update : bind (SUSE-SU-2019:1407-1)NessusSuSE Local Security Checks
medium
124936EulerOS Virtualization 3.0.1.0 : bind (EulerOS-SA-2019-1433)NessusHuawei Local Security Checks
medium
124879EulerOS Virtualization for ARM 64 3.0.1.0 : bind (EulerOS-SA-2019-1376)NessusHuawei Local Security Checks
high
123847EulerOS Virtualization 2.5.3 : bind (EulerOS-SA-2019-1161)NessusHuawei Local Security Checks
high
122835GLSA-201903-13 : BIND: Multiple vulnerabilitiesNessusGentoo Local Security Checks
high
122703EulerOS Virtualization 2.5.2 : bind (EulerOS-SA-2019-1081)NessusHuawei Local Security Checks
high
121068Juniper Junos Space 18.4.x < 18.4R1 Multiple Vulnerabilities (JSA10917)NessusJunos Local Security Checks
high
120429Fedora 28 : 32:bind (2018-5417ca3713)NessusFedora Local Security Checks
high
118724F5 Networks BIG-IP : BIG-IP BIND vulnerability (K98528405)NessusF5 Networks Local Security Checks
high
118431EulerOS Virtualization 2.5.0 : bind (EulerOS-SA-2018-1343)NessusHuawei Local Security Checks
high
118416EulerOS Virtualization 2.5.1 : bind (EulerOS-SA-2018-1328)NessusHuawei Local Security Checks
high
117726EulerOS 2.0 SP3 : bind (EulerOS-SA-2018-1282)NessusHuawei Local Security Checks
high
117725EulerOS 2.0 SP2 : bind (EulerOS-SA-2018-1281)NessusHuawei Local Security Checks
high
117710Amazon Linux 2 : bind (ALAS-2018-1082)NessusAmazon Linux Local Security Checks
high
117630Ubuntu 14.04 LTS / 16.04 LTS / 18.04 LTS : Bind vulnerability (USN-3769-1)NessusUbuntu Local Security Checks
high
117606Amazon Linux AMI : bind (ALAS-2018-1082)NessusAmazon Linux Local Security Checks
high
112197Debian DLA-1485-1 : bind9 security updateNessusDebian Local Security Checks
high
112170OracleVM 3.3 / 3.4 : bind (OVMSA-2018-0252)NessusOracleVM Local Security Checks
high
112165CentOS 6 : bind (CESA-2018:2571)NessusCentOS Local Security Checks
high
112164CentOS 7 : bind (CESA-2018:2570)NessusCentOS Local Security Checks
high
112136Scientific Linux Security Update : bind on SL7.x x86_64 (20180827)NessusScientific Linux Local Security Checks
high
112135Scientific Linux Security Update : bind on SL6.x i386/x86_64 (20180827)NessusScientific Linux Local Security Checks
high
112134RHEL 6 : bind (RHSA-2018:2571)NessusRed Hat Local Security Checks
high
112133RHEL 7 : bind (RHSA-2018:2570)NessusRed Hat Local Security Checks
high
112130Oracle Linux 6 : bind (ELSA-2018-2571)NessusOracle Linux Local Security Checks
high
112129Oracle Linux 7 : bind (ELSA-2018-2570)NessusOracle Linux Local Security Checks
high
112068Fedora 27 : 32:bind (2018-90f8fbd58e)NessusFedora Local Security Checks
high
111790ISC BIND 9.x.x < 9.9.13-P1 / 9.10.x < 9.10.8-P1 / 9.11.x < 9.11.4-P1 / 9.12.x < 9.12.2-P1 deny-answer-aliases DoS VulnerabilityNessusDNS
high
111660Slackware 14.0 / 14.1 / 14.2 / current : bind (SSA:2018-222-01)NessusSlackware Local Security Checks
high